Summary: The GNOME Volume Manager
Name: gnome-volume-manager
Version: 1.1.0
Release: 9 
License: GPL
Group: Applications/System
Source0: gnome-volume-manager-%{version}.tar.gz
Source1: magicdev-wrapper
Source2: gthumb-import
Source3: gnome-cdda-handler
Source4: cdda-url-handler.schemas
Patch0: gnome-volume-manager-0.9.10.add-to-base.patch
Patch2: gnome-volume-manager-1.0.2-add-locking.patch
Patch3: gnome-volume-manager-1.1.0.addheader.patch
Patch4: gnome-volume-manager-1.1.0-rh-defaults.patch
Patch5: gnome-volume-manager-1.1.0-policy-after-explicit-mount-only.patch
Patch6: gnome-volume-manager-1.1.0-refuse-to-mount-or-unmount-when-uid0.patch
BuildRoot: /var/tmp/%{name}-root
BuildPrereq: libgnomeui-devel, libglade2-devel, hal-devel, dbus-devel >= 0.22
Requires: gnome-mime-data, hal >= 0.2.97, kernel >= 2.6, control-center >= 2.0
Requires: dbus >= 0.22
Requires: gthumb
Requires: gnome-media
Obsoletes: magicdev
Provides: magicdev
ExcludeArch: s390
ExcludeArch: s390x

%description
The GNOME Volume Manager monitors volume-related events and responds with
user-specified policy.  The GNOME Volume Manager can automount hot-plugged
drives, automount inserted removable media, autorun programs, automatically
play audio CDs and video DVDs, and automatically import photos from a digital
camera.  The GNOME Volume Manager does this entirely in user-space and without
polling.

The GNOME Voume Manager sits at the top end of a larger picture that aims to
integrate the Linux system from the kernel on up through the desktop and its
applications.

%prep
%setup -q
%patch0 -p1 -b .add-to-base
%patch2 -p0 -b .add-locking
%patch3 -p1 -b .addheader
%patch4 -p1 -b .rh-defaults
%patch5 -p1 -b .policy-after-explicit-mount-only
%patch6 -p1 -b .no-uid0

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/magicdev
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/gthumb-import
install -d $RPM_BUILD_ROOT%{_libexecdir}/
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_libexecdir}/gnome-cdda-handler
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/cdda-url-handler.schemas

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnome-volume-manager.schemas cdda-url-handler.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/*
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/gnome-volume-manager
%{_sysconfdir}/gconf/schemas/*.schemas
%{_libexecdir}/gnome-cdda-handler

%changelog
* Wed Nov 24 2010 David Zeuthen <davidz@redhat.com> - 1.1.0-9
- Rework previous patch so the g-v-m process keeps running but
  we just refuse to mount / unmount if we are uid 0
- Resolves: #243774

* Fri Nov 05 2010 David Zeuthen <davidz@redhat.com> - 1.1.0-8
- Fix previous patch so it actually builds
- Resolves: #243774

* Fri Nov 05 2010 David Zeuthen <davidz@redhat.com> - 1.1.0-7
- Actually apply the patch
- Resolves: #243774

* Fri Nov 05 2010 David Zeuthen <davidz@redhat.com> - 1.1.0-6
- Don't run if uid 0. This ensures that we will never mount or unmount
  file systems if logged in as root
- Resolves: #243774

* Mon Oct 18 2004 John (J5) Palmieri <johnp@redhat.com> - 1.1.0-5
- Merged the photo-defaults patch with a new rh-defaults patch
- Shut off autorun by default as it is a security concern and we
  currently don't have any use for it
- Added policy-after-explicit-mount-only patch which fixes problems
  such as a user mounting a removable drive from the command line
  and a Nautilus window pops up, and two Nautilus windows popping 
  up in browser mode when a device is mounted through Nautilus.

* Fri Oct 08 2004 John (J5) Palmieri <johnp@redhat.com> - 1.1.0-4
- exclude building on s390 and s390x

* Wed Oct 06 2004 John (J5) Palmieri <johnp@redhat.com> - 1.1.0-3
- Added gnome-cdda-handler and associated schema to cause the
  cdda url handler to use the values in g-v-m's gconf key for
  audio cd's.  This causes the g-v-m selected application for 
  audio cd's to launch when double clicking on an audio cd icon
  in Nautilus.

* Thu Sep 30 2004 John (J5) Palmieri <johnp@redhat.com>
- Added patch to add the dbus-glib-lowlevel.h header

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com>
- Update to upstream version 1.1.0
- Fix requirement for gnome-cd to be the gnome-media package

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com>
- Add locking patch

* Fri Sep 17 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to upstream 1.0.2
- Readd patches I took out by accident
- Add a requirement for gthumb and gnome-cd

* Mon Sep 13 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to upstream 1.0

* Fri Sep 03 2004 John (J5) Palmieri <johnp@redhat.com>
- gthumb-import now checks to see if there is a DCIM directory
  and open up to that directory if so 

* Wed Sep 01 2004 Davidz Zeuthen <davidz@redhat.com>
- Fix a few issues to keep up with hal

* Tue Aug 31 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to upstream release 0.9.10
- Add gthumb-import wrapper to import photos correctly
- Add patch to set gthumb-import as the default photo importer
- Add patch to put desktop file in the X-Red-Hat-Base Catagory
- Fixes RH Bug 130866

* Fri Aug 20 2004 John (J5) Palmieri <johnp@redhat.com>
- Added Provides: magicdev to fix conflict

* Tue Aug 17 2004 David Zeuthen <davidz@redhat.com>
- Update to upstream release 0.9.9
- Apply mount-unmount patch

* Mon Jul 26 2004 Ray Strode <rstrode@redhat.com>
- Add magicdev compatibility wrapper script and obsolete magicdev.

* Thu May 27 2004 John (J5) Palmieri <johnp@redhat.com>
- Upstream CVS 

* Wed May 05 2004 John (J5) Palmieri <johnp@redhat.com>
- Made sure GConf Schemas are installed

* Tue Apr 20 2004 John (J5) Palmieri <johnp@redhat.com>
- initial packaging of 0.9.2

